* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: Arial;
}

body {
  background: #0f172a;
  color: #fff;
}

/* HEADER */
header {
  display: flex;
  justify-content: space-between;
  padding: 20px 40px;
  background: #020617;
}

header nav {
  display: flex;
  align-items: center;
}

header a {
  margin-left: 15px;
  color: #94a3b8;
  text-decoration: none;
}

header a:hover {
  color: #38bdf8;
}

/* HERO */
.hero {
  text-align: center;
  padding: 60px 20px;
}

.perfil {
  width: 150px;
  height: 150px;
  border-radius: 50%;
  margin-bottom: 30px;
  aspect-ratio: 1/1;
  object-fit: cover;
}

.hero span {
  color: #38bdf8;
}

.hero p {
  max-width: 500px;
  margin: 15px auto;
  color: #94a3b8;
}

#skills span {
  margin-top: 30px;
  color: #ffffff;
}

/* SEÇÕES */
section {
  padding: 30px 20px;
  text-align: center;
}

/* TAGS */
.tags {
  margin-top: 20px;
}

.tag {
  padding: 8px 15px;
  border-radius: 20px;
  margin: 5px;
  display: inline-block;
}

.html { background: #e34c26; }
.css { background: #264de4; }
.gh { background: #893cb6;}
.code { background: #1189ab; }

/* SERVIÇOS */
section#servicos h2{
  margin-bottom:30px;
}

.servicos-container {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 20px;
}

.servico {
  background: #1e293b;
  padding: 20px;
  border-radius: 10px;
  width: 200px;

  transition: 0.3s;
}

.servico:hover {
  transform: translateY(-10px);
}

/* PROJETOS */
section#projetos span {
  display: block;
  margin:10px 0 30px;
  color: #38bdf8;
}

.cards {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 20px;
}

.card {
  background: #1e293b;
  padding: 15px;
  border-radius: 10px;
  width: 280px;
  transition: 0.3s;
}

.card:hover {
  transform: translateY(-10px);
}

.card img {
  width: 100%;
  border-radius: 10px;
}

.card p {
  color: #94a3b8;
}

/* CONTATO */
#contato {
  margin-top: 50px;
}

section#contato h2 {
  margin-bottom: 30px;
}

#contato img {
  width: 20px;
}

.contatos {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  gap: 15px;
}

.contato:hover {
  transform: translateY(-10px);
}

.contato {
  background: #b1b8c4a1;
  padding: 10px;
  border-radius: 8px;
  text-decoration: none;
  color: #000000;
  text-align: center;
  
  transition: 0.3s;
}

/* FOOTER */
footer {
  background: #020617;
  text-align: center;
  padding: 20px;
}